Skip to main content
`Ctrl`+`K`

# PetscLogGpuTimeAdd

Add elapsed GPU computation time to PETSc’s GPU time counter

## Synopsis

    static inline PetscErrorCode PetscLogGpuTimeAdd(PetscLogDouble t)

Not Collective; No Fortran Support

## Input Parameter

- t - the elapsed time, in seconds, to add to the GPU time counter

## Note

Used internally by GPU backends to report the time spent in a kernel or library call.

## See Also

`PetscLogGpuTime()`, `PetscLogGpuTimeBegin()`, `PetscLogGpuTimeEnd()`, `PetscLogGpuFlops()`

## Level

developer

## Location

include/petsclog.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages